# Generated from extracter-1.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name extracter

Name: rubygem-%{gem_name}
Version: 1.3.6
Release: 1%{?dist}
Summary: This fairly small gem can be used to extract different archive formats, such as .tar.bz2, .tar.gz, .tbz, .zip, .gem, .lzma and various more.  Audio can be extracted as well, via ffmpeg, if the gem called multimedia_paradise is installed.  This project, however had, depends on external tools, such as tar (on Linux) or 7z / 7zip (on Windows), so these have to be installed first.  For more information about this project have a look at the homepage, at https://rubygems.org/gems/extracter
License: MIT
URL: https://rubygems.org/gems/extracter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.5.3
BuildRequires: ruby >= 3.2.2
BuildArch: noarch

%description
This fairly small gem can be used to extract different
archive formats, such as .tar.bz2, .tar.gz, .tbz,
.zip, .gem, .lzma and various more.
Audio can be extracted as well, via ffmpeg, if the gem called
multimedia_paradise is installed.
This project, however had, depends on external tools,
such as tar (on Linux) or 7z / 7zip (on Windows), so
these have to be installed first.
For more information about this project have a look
at the homepage, at
https://rubygems.org/gems/extracter.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/extracter.gemspec
%{gem_instdir}/test

%changelog
* Tue Mar 26 2024 mockbuilder - 1.3.6-1
- Initial package
